Subject: Meet galaxy – expert wall clock producer in Turkey
From: Ali Kutay YÖRÜR <[email-masked]>
To: <[email-masked]>
Date: Thu, 29 May 2025 10:38:34 +0300

Dear Designer Living Company,

I hope you're doing well.
My name is Ali Kutay Yörür, and I’m reaching out on behalf of Galaxy Wall Clocks, a brand of Aypaş Elektronik, based in Istanbul, Turkey.

We have been producing wall clocks, promotional clocks, and clock mechanisms since 1985. All of our products are 100% made in Turkey at our own factory.

Our facility covers 18,000 square meters, and we handle the entire production process ourselves — from design and mold making to assembly and packaging. This helps us ensure high quality and fast service for all of our customers.

We are also proud to be the first company in Turkey to produce silent sweep clock movements.

If you'd like to learn more or receive our PDF catalog, please feel free to visit our website:

🌐  <https://www.aypas.com.tr/> www.aypas.com.tr

If you have any questions or would like a quote, I’d be happy to help. Please feel free to contact me anytime.

Best regards,
Ali Kutay Yörür